diff --git a/js/pano.js b/js/pano.js
old mode 100755
new mode 100644
index 38ec503..a4c54c3
--- a/js/pano.js
+++ b/js/pano.js
@@ -171,9 +171,8 @@ function drawDecorations(ox, oy, tx, ty, twidth, theight) {
     
 }
 
-function insert_drawn_point(lat,lon,alt) {
-	
-	var rt = 6371;  // Rayon de la terre
+function insert_drawn_point(lat, lon, alt) {
+    var rt = 6371;  // Rayon de la terre
     var alt1 = document.getElementById('pos_alt').childNodes[0].nodeValue;
     var lat1 = document.getElementById('pos_lat').childNodes[0].nodeValue*Math.PI/180;
     var lon1 = document.getElementById('pos_lon').childNodes[0].nodeValue*Math.PI/180;
@@ -196,8 +195,7 @@ function insert_drawn_point(lat,lon,alt) {
     return {d:d, cap:cap*180/Math.PI, ele:e*180/Math.PI};   // les résultats sont en degrés
 }
 
-localate_point = function () {
-	
+function localate_point() {
     var lat = document.getElementById("loca_latitude").value;
     var lon = document.getElementById("loca_longitude").value;
     var alt = document.getElementById("loca_altitude").value;
@@ -209,23 +207,16 @@ localate_point = function () {
 	alert("La longitude "+lon+"n'est pas correcte");
 	return;
     }
-    if (lat == '' || isNaN(alt) || alt < -400) {
+    if (lat == '' || isNaN(alt) || alt < -400 || alt > 10000000) {
 	alert("l'altitude "+alt+"n'est pas correcte");
 	return;
     }
-	    var opt_ced = new Array();
-	    opt_dce = insert_drawn_point(lat,lon,alt);
-	    // -----Première solution : afficher dynamiquement le point !
-	    var d = opt_dce.d;
-	    var cap = opt_dce.cap;
-	    var ele = opt_dce.ele;
-	    
-	    display_temp(d, cap, ele);
-	   
+    var opt_ced = new Array();
+    opt_dce = insert_drawn_point(lat, lon, alt);
+    display_temp(opt_dce.d, opt_dce.cap, opt_dce.ele);
 }
 
-function display_temp(d,cap,ele) {
-   
+function display_temp(d,cap,ele) {  
     point_list[point_list.length] = new Array("point temporaire", d,cap,ele, "temporary");
     reset_zooms();
     putImage(last.x, last.y);
@@ -235,8 +226,7 @@ function arrayUnset(array, value){
     array.splice(array.indexOf(value), 1);
 }
 
-erase_point = function() {
-	
+function erase_point() {	
 	for (var i=0; i<point_list.length; i++) {
 		if(point_list[i][0] == "point temporaire"){
 			arrayUnset(point_list,point_list[i]);
@@ -784,8 +774,6 @@ function clean_canvas_events(e) {
     speed.y = 0;
 }
 
-
-
 canvas_set_size = function() {
     canvas.style.border = border_width+"px solid red";
     canvas.width = window.innerWidth-2*border_width;
@@ -799,20 +787,17 @@ canvas_resize = function() {
     putImage(last.x, last.y);
 }
 
-
-
 function paramIn(e) {
-	
-	 e = e || window.event; 
-	 var relatedTarget = e.relatedTarget || e.fromElement; 
-	 
-	 while (relatedTarget != adding && relatedTarget.nodeName != 'BODY' && relatedTarget != document && relatedTarget != localisation) {
-	        relatedTarget = relatedTarget.parentNode;
-	 }
-	 
-	 if (relatedTarget != adding && relatedTarget != localisation) {
-		 document.removeEventListener('keydown', keys, false);
-	 }
+    e = e || window.event; 
+    var relatedTarget = e.relatedTarget || e.fromElement; 
+    
+    while (relatedTarget != adding && relatedTarget.nodeName != 'BODY' && relatedTarget != document && relatedTarget != localisation) {
+	relatedTarget = relatedTarget.parentNode;
+    }
+    
+    if (relatedTarget != adding && relatedTarget != localisation) {
+	document.removeEventListener('keydown', keys, false);
+    }
 }
 
 function paramOut(e) {
@@ -830,10 +815,9 @@ function paramOut(e) {
  
 }
 
-window.onload = function() {
-	
-	localisation = document.getElementById("locadraw");
-	adding = document.getElementById("adding");
+window.onload = function() {	
+    localisation = document.getElementById("locadraw");
+    adding = document.getElementById("adding");
     canvas = document.getElementById("mon-canvas");
     cntext = canvas.getContext("2d");
     canvas_set_size();
@@ -866,17 +850,26 @@ window.onload = function() {
     elvtn_control.onclick = change_angle;
 
     change_angle();
-    loca_temp = document.getElementById("loca_button");
-    loca_temp.onclick = localate_point;
-    loca_erase = document.getElementById("loca_erase");
-    loca_erase.onclick = erase_point;
+    loca_temp = document.getElementById("loca_show");
+    if (loca_temp) {
+	loca_temp.onclick = showLoca;
+	loca_temp = document.getElementById("loca_hide");
+	loca_temp.onclick = hideLoca;
+	loca_temp = document.getElementById("loca_button");
+	loca_temp.onclick = localate_point;
+	loca_erase = document.getElementById("loca_erase");
+	loca_erase.onclick = erase_point;
+	localisation.addEventListener('mouseover',paramIn,false);
+	localisation.addEventListener('mouseout',paramOut,false);
+    }
     canvas.addEventListener('mousedown', onImageClick, false);
     document.addEventListener('keydown', keys, false);
     canvas.addEventListener('mousewheel', wheel_zoom, false);
     window.onresize = canvas_resize;
-    adding.addEventListener('mouseover',paramIn,false);
-    adding.addEventListener('mouseout',paramOut,false);
-    localisation.addEventListener('mouseover',paramIn,false);
-    localisation.addEventListener('mouseout',paramOut,false);
-      
+    if (adding) {
+	document.getElementById("paramFormHide").onclick = hideForm;
+	document.getElementById("paramFormShow").onclick = showForm;
+	adding.addEventListener('mouseover', paramIn, false);
+	adding.addEventListener('mouseout', paramOut, false);
+    }
 };
diff --git a/panorama.php b/panorama.php
old mode 100755
new mode 100644
index 9a59ef9..c58329e
--- a/panorama.php
+++ b/panorama.php
@@ -2,8 +2,50 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
 <head>
   <?php
-   require 'class/site_point.class.php';
-   require 'class/sites_dir.class.php';
+   require 'class/utils.class.php';
+   utils::init();
+
+   $form_extpoint = <<<'EO_FORM_EXTPOINT'
+<img src="images/locapoint.svg" id="loca_show" alt="localiser un point" title="pour localiser un point..."/>
+<fieldset id="locadraw"><legend id="loca_hide">Localiser un point</legend>
+  <label class="form_col" title="La latitude ϵ [-90°, 90°]. Ex: 12.55257">Latitude :
+    <input  name="loca_latitude" type="number" min="-90" max="90"  id="loca_latitude"/></label>
+  <label class="form_col" title="La longitude ϵ [-180°, 180°]. Ex: 144.14723">Longitude :
+    <input name="loca_longitude" type="number" min="-180" max="180" id="loca_longitude"/></label>
+  <label class="form_col" title="L'altitude positive Ex: 170">Altitude :
+    <input  name="loca_altitude" type="number" min="-400" id="loca_altitude"/></label>
+  <div class="answer">
+    <input type="button" value="Localiser" id="loca_button"/> 
+    <input type="button" value="Effacer" id="loca_erase"/>
+  </div>
+</fieldset>
+EO_FORM_EXTPOINT;
+
+   $form_param = <<<'EO_FORM_PARAM'
+<div id="addParams">		
+  <label id="paramFormShow">Paramétrer le panorama</label>	
+</div>
+     <form action="addParams.php?param_dir=%s&amp;param_panorama=%s" id="form_param" method="post">
+  <fieldset id="adding"><legend id="paramFormHide">Paramétrage du panorama</legend>
+    <label title="Au moins 4 caractères">Titre :
+      <input type="text" pattern="^.{1,40}$" name="param_title" placeholder="%s" 
+	     title="ne doit pas contenir pus de 40 caractères" required=""/></label>
+    <label title="La latitude ϵ [-90°, 90°]. Ex : 46.55257">Latitude :
+      <input name="param_latitude" type="number" min="-90" max="90" placeholder="43.56" required="" step="any"/></label>
+    <label title="La longitude ϵ [-180°, 180°]. Ex : 1.45">Longitude :
+      <input name="param_longitude" type="number" min="-180" max="180" placeholder="1.45" required="" step="any"/></label>
+    <label title="L'altitude exprmée en mètres et &gt; -400. Ex : 170">Altitude :
+      <input name="param_altitude" type="number" min="-400" required="" placeholder="170" step="any"/></label>
+    <label title="L'image fait-elle 360° ?">Rebouclage :
+      <input type="checkbox" name="param_loop" value="true"></label>
+    
+    <div>
+      <input type="submit" value="Submit"/> 
+      <input type="reset" value="Reset"/>
+    </div>
+  </fieldset>
+</form>
+EO_FORM_PARAM;
 
    if (isset($_GET['dir']) && isset($_GET['panorama'])) {
      $dir   = $_GET['dir'];
@@ -24,17 +66,17 @@
    $prefix = $pt->get_prefix();
   ?>
   <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
-   <?php
+  <?php
      $titre = 'panorama';
-     if ($params && isset($params['titre'])) $titre .= ' ; '.$params['titre'];
-     printf ("<title>%s</title>\n", $params['titre']);
+     if ($params && isset($params['titre'])) $titre .= ' : '.$params['titre'];
+     printf ("<title>%s</title>\n", $titre);
   ?>
   <script>
    <?php
      printf ("var img_prefix = '%s/%s'\n", $base_dir, $prefix);
      if (is_array($params)) $opt_vals = array_merge($params, $opt_vals);
      foreach(array('to_cap', 'to_ele', 'to_zoom', 'image_loop') as $val) {
-       if (isset($opt_vals[$val])) printf ('var '.$val.' = '.$opt_vals[$val].";\n"); // correction du décalage angulaire par rapport au Nord
+        if (isset($opt_vals[$val])) printf ('var '.$val.' = '.$opt_vals[$val].";\n"); // correction du décalage angulaire par rapport au Nord
      }
   ?>
   </script>
@@ -92,34 +134,30 @@
      }
    }
   
-  $localLat = (isset($_POST["loca_latitude"])) ? $_POST["loca_latitude"] : NULL;
-  $localLon = (isset($_POST["loca_longitude"])) ? $_POST["loca_longitude"] : NULL;
-  $localAlt = (isset($_POST["loca_altitude"])) ? $_POST["loca_altitude"] : NULL;
+   $localLat = (isset($_POST["loca_latitude"])) ? $_POST["loca_latitude"] : NULL;
+   $localLon = (isset($_POST["loca_longitude"])) ? $_POST["loca_longitude"] : NULL;
+   $localAlt = (isset($_POST["loca_altitude"])) ? $_POST["loca_altitude"] : NULL;
  
-  if ($localLat && $localLon && $localAlt) {
-  	  list($localDistance, $localCap, $localEle) = $pt->coordsToCap($localLat, $localLon, $localAlt);
-  	  $n = "point temporaire";
-      printf('point_list[%d] = new Array("%s", %03lf, %03lf, %03lf, "temporary");'."\n",$ipt++, $n, $localDistance, $localCap, $localEle);
-  } 
+   if ($localLat && $localLon && $localAlt) {
+     list($localDistance, $localCap, $localEle) = $pt->coordsToCap($localLat, $localLon, $localAlt);
+     $n = "point temporaire";
+     printf('point_list[%d] = new Array("%s", %03lf, %03lf, %03lf, "temporary");'."\n",$ipt++, $n, $localDistance, $localCap, $localEle);
+   } 
   ?>
   </script>
-  
- 
-
-  
   <link type="image/x-icon" rel="shortcut icon" href="images/tsf.png"/>
-  <link rel="stylesheet" media="screen" href="css/all.css" />
+  <link rel="stylesheet" media="screen" href="css/map.css" />
   <script src="js/hide_n_showForm.js"></script> 
 </head>
 <body>
   <canvas id="mon-canvas">
-    Ce message indique que ce navigateurs est vétuste car il ne supporte pas <samp>canvas</samp> (IE6, IE7, IE8, ...)
+    Ce message indique que ce navigateur est vétuste car il ne supporte pas <samp>canvas</samp> (IE6, IE7, IE8, ...)
   </canvas>
   
   <fieldset id="control"><legend>contrôle</legend>
       <label>Zoom : <input type="range" min="0" max="2" value="2" id="zoom_ctrl"/></label>
-      <label>Cap : <input type="number" min="0" max="360" step="10" value="0" autofocus="" id="angle_ctrl"/></label>
-      <label>Élévation : <input type="number" min="-90" max="90" step="1" value="0" autofocus="" id="elvtn_ctrl"/></label>
+      <label>Cap : <input type="number" min="0" max="360" step="10" value="0" autofocus="" id="angle_ctrl" step="any"/></label>
+      <label>Élévation : <input type="number" min="-90" max="90" step="1" value="0" autofocus="" id="elvtn_ctrl" step="any"/></label>
   </fieldset>
 
   <?php
@@ -130,72 +168,11 @@
        printf ("<p>longitude : <em><span id=\"pos_lon\">%.5f</span>°</em></p>\n", $params['longitude']);
        if (isset($params['altitude'])) printf ("<p>altitude : <em><span id=\"pos_alt\">%d</span> m</em></p>\n", $params['altitude']); 
        print("</div>\n");
-       ?>
-       <span id="loca"><img src="images/locapoint.svg" id="icone" onclick="showLoca()"/></span>
-  <fieldset id="locadraw"><legend id="" onclick="hideLoca()">Localiser un point</legend>
-    <form id="form_loca" method="post" name="form_localate" action="panorama.php?dir=<?php echo $_GET['dir'];?>&amp;panorama=<?php echo $_GET['panorama'];?>">
-      <label class="form_col" title="La latitude ϵ [-90°, 90°]. Ex: 12.55257">Latitude :
-	<input  name="loca_latitude" type="number" min="-90" max="90"  id="loca_latitude"/></label>
-	         
-      <label class="form_col" title="La longitude ϵ [-180°, 180°]. Ex: 144.14723">Longitude :
-	<input name="loca_longitude" type="number" min="-180" max="180" id="loca_longitude"/></label>
-	      
-      <label class="form_col" title="L'altitude positive Ex: 170">Altitude :
-	<input  name="loca_altitude" type="number" min="-400" id="loca_altitude"/></label>
-	       
-      <div class="answer">
-	<input type="button" value="Localiser" id="loca_button" class="form_button"/> 
-	<input type="reset" value="Reset" class="form_button"/>
-	<input type="button" value="Effacer" class="form_button" id="loca_erase"/>
-      </div>
-	      
-    </form>
-  </fieldset>
-       <?php
-     } elseif ($params == false ){
+       echo $form_extpoint;
+     } elseif ($params == false ) {
      	$dir   = $_GET['dir'];
         $name  = $_GET['panorama'];
-     	?>
-       <div id="addParams">		
-     	  <label onclick="showForm()" value="Hide label">Paramétrer le panorama</label>	
-       </div>
-       <fieldset id="adding"><legend id="lgd" onclick="hideForm()">Paramètrer le panorama</legend>
-	 <form action="addParams.php?dir=<?php echo $dir;?>&amp;panorama=<?php echo $name;?>" id="form_param" method="post">
-	   	  
-	   <label class="form_col" for="param_title" title="Au moins 4 caractères">Titre: </label>
-	   <input type="text" id="param_title" name="param_title"/>
-	   
-	   <label class="form_col" for="param_latitude" title="La latitude ϵ [-90°, 90°]. Ex: 12.55257">Latitude: </label>
-	   <input  name="param_latitude" type="text" id="param_latitude" />
-	         
-	   <label class="form_col" for="param_longitude" title="La longitude ϵ [-180°, 180°]. Ex: 144.14723">Longitude: </label>
-	   <input name="param_longitude" type="text" id="param_longitude" />
-	   
-	   <label class="form_col" for="param_altitude" title="L'altitude positive Ex: 170">Altitude: </label>
-	   <input  name="param_altitude" type="text" id="param_altitude" />
-	  
-	   <label class="form_col" for="param_elevation" title="élévation ϵ [-10,10] ( valeur par défaut : 0)">Elévation: </label>
-	   <input  name="param_elevation" type="text" id="param_elevation" />
-	   
-	   <label class="form_col" for="param_loop" title="L'image fait elle 360° ? ">Rebouclage: </label>
-	   <input class="radio" type="radio" name="param_loop" value="true" checked="checked"> Oui
-           <input class="radio" type="radio" name="param_loop" value="false"> Non
-	   
-	   <input type="hidden" value="Localiser" id="loca_button" class="form_button" style="width:70px" /> 
-	   <input type="hidden" value="Effacer" class="form_button" id="loca_erase"/>
-	  
-	   <div class="answer">
-	     <input type="submit" value="Submit" class="form_button"/> 
-	     <input type="reset" value="Reset" class="form_button"/>
-	   </div>
-	      
-  	 </form>
-       </fieldset>
-  
- 
-       <script src="js/pano_deroulant.js"></script> 
-      
-     	<?php
+        printf($form_param, $dir, $name, $name);
      }
      echo '<p id="info"></p>'."\n";
      if (count($extra_names) > 1) {
@@ -203,15 +180,19 @@
        foreach ($extra_names as $nm) {
 	 echo '<option>'.$nm."</option>\n";
        }
-       echo "</select>\n<br/>";
+       echo "</select>\n";
        echo "<input type=\"button\" id=\"do-insert\" value=\"insérer\"/>\n";
        echo "<input type=\"button\" id=\"do-delete\" value=\"suppimer\"/>\n";
        echo "<input type=\"button\" id=\"do-cancel\" value=\"annuler\"/>\n";
        echo "</p>\n";
      }
      
-     ?>
-  <p class="validators"><a href="http://validator.w3.org/check?uri=referer">page xHTML validé !</a></p>
+  ?>
   <p id="res"></p>
+  <div class="validators">
+    pages validées par
+    <a href="http://validator.w3.org/check?uri=referer"><img src="images/valid_xhtml.svg" alt="Valid XHTML 1.1" title="xHTML 1.1 validé !"/></a>
+    <a href="http://jigsaw.w3.org/css-validator/check/referer"><img src="images/valid_css.svg" alt="CSS validé !" title="CSS validé !"/></a>
+  </div>
 </body>
 </html>
diff --git a/to_tiles/gen_tiles.sh b/to_tiles/gen_tiles.sh
index ec805ac..9095c93 100755
--- a/to_tiles/gen_tiles.sh
+++ b/to_tiles/gen_tiles.sh
@@ -1,5 +1,21 @@
 #!/bin/bash
 
+trap clean_tmp EXIT
+# fin d'eviter tout problème de locales en reste en C de base.
+
+set -e
+export LANG=C
+
+# pour éliminer systématiquement les fichier temporaires créés ic
+function clean_tmp() {
+    if [ -n "$wfname" ]; then
+	rm $wfname
+    fi
+    if [ -n "$tmp_file" ]; then
+	rm $tmp_file
+    fi
+}
+
 test_mode=false
 memory_limit=256
 crop_x=256
@@ -42,7 +58,7 @@ if [ -z "$prefix" ]; then
     prefix=$(basename $1|sed 's/\..*$//')
 fi
 
-wfname=$prefix.pnm
+wfname=$(mktemp ${prefix}_XXXX.pnm)
 if ! $test_mode; then
     anytopnm $fname > $wfname
 else
@@ -51,12 +67,14 @@ fi
 
 echo "préfixe : "$prefix
 
+tmp_file=$(mktemp)
+
 for ((z=$min_scale; z <= $max_scale; z++))
 do
     fprefix=${prefix}_00$z
-    LANG=C  printf -v ratio %1.4lf $(echo "1 / (2^$z)" | bc -l)
+    printf -v ratio %1.4lf $(echo "1 / (2^$z)" | bc -l)
     echo génération du ratio $ratio
-    zwfname=tmp.pnm
+    zwfname=$tmp_file
 
     if $test_mode; then
 	if [ $ratio = 1.0000 ]; then
@@ -73,18 +91,24 @@ do
 	if [ $ratio = 1.0000 ]; then
 	    zwfname=$wfname
 	else
-	    pnmscale $ratio $wfname > $zwfname
+	    if ! pnmscale $ratio $wfname > $zwfname; then
+		echo "operation 'pnmscale $ratio $wfname > $zwfname' en erreur"
+		exit 1
+	    fi
 	fi
-	convert $zwfname \
+	if convert $zwfname \
 	    -limit memory $memory_limit \
             -crop ${crop_x}x${crop_x} \
             -set filename:tile "%[fx:page.x/${crop_x}]_%[fx:page.y/${crop_y}]" \
-            +repage +adjoin "${fprefix}_%[filename:tile].jpg"
+            +repage +adjoin "${fprefix}_%[filename:tile].jpg"; then
+	    echo "Nombre des fichiers produits :" $(ls -la ${fprefix}_*| wc -l)
+	else
+	    echo "operation 'convert' en erreur"
+	    exit 2
+	fi
     fi
 done
 
-echo  ${fprefix}_*
-
 if ! $test_mode; then
 ## les lignes ci dessous sont destinnées à mettre des 0 en debut des numéros de ligne et de colonnes
 ## Il y a certainement plus simple mais là c'est du rapide et efficace.
@@ -92,7 +116,4 @@ if ! $test_mode; then
     rename 's/_(\d)_(\d+\.jpg)$/_00$1_$2/' ${prefix}_*
     rename 's/_(\d+)_(\d\d)(\.jpg)$/_$1_0$2$3/' ${prefix}_*
     rename 's/_(\d+)_(\d)(\.jpg)$/_$1_00$2$3/' ${prefix}_*
-    rm $zwfname $wfname
-else
-    echo rm $zwfname $wfname
 fi
diff --git a/uploadReceive.php b/uploadReceive.php
new file mode 100644
index 0000000..8ebbd9d
--- /dev/null
+++ b/uploadReceive.php
@@ -0,0 +1,33 @@
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
+<head>
+   <meta http-equiv="Content-type" content="text/html; charset=UTF-8"/>
+   <link rel="stylesheet" media="screen" href="css/index_style.css" />
+   <title>Transfert de panoramique</title>
+</head>
+<body>
+<?php
+ 
+$dest_dir ='upload';
+
+if(!empty($_POST) && !empty($_FILES)) {
+  foreach (array_keys($_FILES['files']['name']) as $i) {
+    if(!empty($_FILES['files']['name'][$i])) {
+      if(isset($_FILES['files']['error'][$i]) && UPLOAD_ERR_OK === $_FILES['files']['error'][$i]) {
+	move_uploaded_file($_FILES['files']['tmp_name'][$i],$dest_dir.'/'.basename($_FILES['files']['name'][$i]));
+	printf("<h2>transfert de %s réalisé</h2>\n", $_FILES['files']['name'][$i]);
+      } else {
+	$message = 'Une erreur interne a empêché l\'upload de l\'image : '. $_FILES['files']['error'][$i];
+      }
+    } else {
+      $message = 'Veuillez passer par le formulaire svp !';
+    }
+  }
+  if (isset($message)) {
+    echo "<h2>$message</h2>\n";
+  }
+}
+?>
+<p>Pour acceder à la liste des images transférées afin de convertir en panorama <a href="creerPano.php">cliquer ici</a></p>
+</body>
+</html>
